#ifndef VETY_ERROR_H
#define VETY_ERROR_H

#include "parser.h"

// 在当前token位置报告错误
void parser_error_at_current(Parser* parser, const char* message);

// 在上一个token位置报告错误
void parser_error(Parser* parser, const char* message);

// 在指定token位置报告错误
void parser_error_at(Parser* parser, Token* token, const char* message);

#endif // VETY_ERROR_H